<% /*
     $Revision$
     $Id$

     File:           model_prs_relatietype.inc

     Description:    Vanuit CodeCharge gegenereerd model voor prs_relatietype
     Parameters:
     Context:
     Note:
*/ %>

<%
function model_prs_relatietype()
{
    this.table = "prs_relatietype";
    this.primary = "prs_relatietype_key";
    this.records_name = "prs_relatietypes";
    this.record_name = "prs_relatietype";
    this.soft_delete = "prs_relatietype_verwijder";
    this.autfunction = "WEB_PRSMGT";
    this.record_title = L("prs_relatietype");
    this.records_title = L("prs_relatietype_m");


    this.fields = {
        "id": {
            "dbs": "prs_relatietype_key",
            "label": "Key",
            "typ": "key",
            "required": true,
            "filter": "exact",
            "seq": "prs_s_prs_relatietype_key"
        },
        "name": {
            "dbs": "prs_relatietype_omschrijving",
            "label": L("prs_relatietype_omschrijving"),
            "typ": "varchar",
            "translate": true,
            "required": true,
            "filter": "like"
        }
    };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this, {});
}
%>